Get Service DNS

API server

https://app.coolify.io/api/v1

Choose where to send API requests

This changes the request URL and code examples on every endpoint page.

API server type

Requests will use

https://app.coolify.io/api/v1

Use only a Coolify URL you trust. Sending a test request also sends the API token you enter.

GET
/services/{uuid}/dns

DNS providers and managed DNS records for the domains of a service.

Authorization

bearerAuth
AuthorizationBearer <token>

Go to Keys & Tokens / API tokens and create a new token. Use the token as the bearer token.

In: header

Path Parameters

uuid*string

Service UUID.

Response Body

application/json

application/json

application/json

curl -X GET "https://app.coolify.io/api/v1/services/string/dns"
{  "default_address": "string",  "public_addresses": [    "string"  ],  "hostnames": [    {      "hostname": "string",      "providers": [        {          "integration_token_uuid": "string",          "integration_token_name": "string",          "zone": "string",          "automatic_dns": true,          "proxied_dns": true        }      ],      "records": [        {          "uuid": "string",          "hostname": "string",          "type": "A",          "address": "string",          "owned": true,          "integration_token_uuid": "string"        }      ]    }  ]}
{  "message": "Unauthenticated."}
Empty
{  "message": "Resource not found."}